### Enumeration

# FwupdPlugin DeviceIncorporateFlags

#### Declaration

    flags FwupdPlugin.DeviceIncorporateFlags

#### Description [src]

The flags to use when incorporating a device instance.

#### Members

Name | Description
--- | ---
`FU_DEVICE_INCORPORATE_FLAG_BASECLASS` | Set baseclass properties.
`FU_DEVICE_INCORPORATE_FLAG_SUPERCLASS` | Set superclass properties, implemented using `->incorporate()`.
`FU_DEVICE_INCORPORATE_FLAG_VENDOR` | Set vendor.
`FU_DEVICE_INCORPORATE_FLAG_VENDOR_IDS` | Set vendor IDs.
`FU_DEVICE_INCORPORATE_FLAG_PHYSICAL_ID` | Set the physical ID.
`FU_DEVICE_INCORPORATE_FLAG_LOGICAL_ID` | Set the logical ID.
`FU_DEVICE_INCORPORATE_FLAG_BACKEND_ID` | Set the backend ID.
`FU_DEVICE_INCORPORATE_FLAG_REMOVE_DELAY` | Set the remove delay.
`FU_DEVICE_INCORPORATE_FLAG_ACQUIESCE_DELAY` | Set the acquiesce delay.
`FU_DEVICE_INCORPORATE_FLAG_ICONS` | Set the icons.
`FU_DEVICE_INCORPORATE_FLAG_UPDATE_ERROR` | Set the update error.
`FU_DEVICE_INCORPORATE_FLAG_UPDATE_STATE` | Set the update state.
`FU_DEVICE_INCORPORATE_FLAG_VID` | Set the vendor ID.
`FU_DEVICE_INCORPORATE_FLAG_PID` | Set the product ID.
`FU_DEVICE_INCORPORATE_FLAG_UPDATE_MESSAGE` | Set the update message.
`FU_DEVICE_INCORPORATE_FLAG_UPDATE_IMAGE` | Set the update image.
`FU_DEVICE_INCORPORATE_FLAG_EVENTS` | Add the device events.
`FU_DEVICE_INCORPORATE_FLAG_INSTANCE_IDS` | Set the instance IDs.
`FU_DEVICE_INCORPORATE_FLAG_POSSIBLE_PLUGINS` | Set the possible plugins.
`FU_DEVICE_INCORPORATE_FLAG_GTYPE` | Set the device GType.
`FU_DEVICE_INCORPORATE_FLAG_INSTANCE_KEYS` | Set the device instance keys.